| Qore Programming Language Reference Manual 1.0.8

Public Member Functions | List of all members
Qore::StdoutOutputStream Class Reference

This class implements the OutputStream interface for writing bytes to the standard output stream `stdout`. More...

Inheritance diagram for Qore::StdoutOutputStream:
[legend]

## Public Member Functions
nothing | close ()
| Does nothing since `stdout` cannot be closed. More...
| constructor ()
| Creates the StdoutOutputStream.
nothing | write (binary data)
| Writes bytes to the output stream. More...
Public Member Functions inherited from Qore::OutputStream
| constructor ()
| Constructor. More...
Public Member Functions inherited from Qore::StreamBase
| constructor ()
| Throws an exception if called directly; this class can only be instantiated by builtin subclasses. More...
int | getThreadId ()
| Get the currently assigned thread id or -1 if not assigned to any thread.
nothing | reassignThread ()
| Reassigns current thread as thread used for stream manipulation. More...
nothing | unassignThread ()
| Unassigns current thread as thread used for stream manipulation. More...

## Detailed Description

This class implements the OutputStream interface for writing bytes to the standard output stream `stdout`.

Restrictions:
  Qore::PO_NO_TERMINAL_IO

Example: StdoutOutputStream basic usage
  StdoutOutputStream stdos();
  stdos.write(<01>);
  stdos.write(<0203>);
  # three bytes have been written to stdout: 01 02 03

Note
  stream classes are not designed to be accessed from multiple threads; they have been implemented without locking for fast and efficient use when used from a single thread. For methods that would be unsafe to use in another thread, any use of such methods in threads other than the thread where the constructor was called will cause a `STREAM-THREAD-ERROR` to be thrown, unless the stream is handed off to another thread using the StreamBase::unassignThread() method in the thread that currently owns the stream, and the StreamBase::reassignThread() method in the new thread.

See also
  StreamWriter for a class that can be used to write various kinds of data to an OutputStream

Since
  Qore 0.8.13

## Member Function Documentation

## ◆ close()

nothing Qore::StdoutOutputStream::close | ( |  | ) |
| virtual

Does nothing since `stdout` cannot be closed.

Exceptions

  STREAM-THREAD-ERROR | this exception is thrown if this method is called from any thread other than the thread that created the object

Implements Qore::OutputStream.

## ◆ write()

nothing Qore::StdoutOutputStream::write | ( | binary | data | ) |
| virtual

Writes bytes to the output stream.

Parameters

  data | the data to write

Example:
  StdoutOutputStream stdos();
  stdos.write(<01>);
  stdos.write(<0203>);
  # three bytes have been written to stdout: 01 02 03

Exceptions

  STREAM-THREAD-ERROR | this exception is thrown if this method is called from any thread other than the thread that created the object

Implements Qore::OutputStream.